---
type: api
title: Delete a instance configuration
description: Delete the instance configuration with the given id.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-instance-configuration
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-instance-configuration
products:
  - Elastic Cloud Enterprise
---

# Delete a instance configuration

## Paths

- `DELETE` `/platform/configuration/instances/{id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `id` (string)
  ID of the instance configuration

## Description

Delete the instance configuration with the given id.

## Query String Parameters

- `version` (integer)
  This is a database-level field, not related to the application-level 'config_version', except as described in the following docs. If specified, checks for conflicts against 'x-cloud-resource-version' from the GET request (the GET's 'config_version' should be left blank if the IC is configuration controlled, ie to get the latest configuration)
- `only_test_version` (boolean)
  If true, the testing version (version -1) will be permanently deleted but the latest IC version will remain untouched. Defaults to false

## Responses

#### `200`

Instance configuration specified by {id} was deleted

`application/octet-stream`

Type: `EmptyResponse`

#### `403`

Instance configuration specified by {id} is system owned (code: 'configuration.system_owned')

`application/octet-stream`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
#### `404`

Instance configuration specified by {id} cannot be found or the operation failed (code: 'configuration.instance_configuration_not_found')

`application/octet-stream`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
## Code Examples

#### Console

```console
DELETE /platform/configuration/instances/{id}
```

#### curl

```curl
curl -X DELETE "/platform/configuration/instances/{id}"
```

